> ## Documentation Index
> Fetch the complete documentation index at: https://finance.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Current User

> Updates the currently authenticated user. Supports partial updates including account application data.



## OpenAPI

````yaml https://spec.speakeasy.com/aries/aries/aries-trading-platform-api-with-code-samples patch /v1/users/me
openapi: 3.0.3
info:
  title: Aries Trading Platform API
  description: >-
    Complete API documentation for the Aries trading platform including user
    management, authentication, account management, order management, market
    data, and analytics
  contact:
    name: Aries Financial
    email: dev@aries.com
  version: 1.0.0
servers:
  - url: https://api.tradearies.dev
    description: Production server
security: []
tags:
  - name: Accounts
    description: Account management endpoints for positions, orders, and balances
  - name: Analytics
    description: >-
      Analytics endpoints for market data analysis including top gainers,
      losers, volume leaders, sector analysis, analyst ratings, market breadth,
      and net inflow
  - name: Authentication
    description: User authentication endpoints
  - name: Calendars
    description: Calendar endpoints for economic events and historical data
  - name: Market Data
    description: >-
      Market data endpoints for symbol search, real-time data access, and equity
      details
  - name: Orders
    description: >-
      Order management endpoints for placing, updating, canceling, and
      previewing orders
  - name: Users
    description: User management endpoints
  - name: Health
    description: Service health endpoints
paths:
  /v1/users/me:
    patch:
      tags:
        - Users
      summary: Update Current User
      description: >-
        Updates the currently authenticated user. Supports partial updates
        including account application data.
      operationId: updateMe
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserRequest'
        required: true
      responses:
        '200':
          description: User updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateUserResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: java
          label: Java (SDK)
          source: |-
            package hello.world;

            import java.lang.Exception;
            import org.openapis.openapi.AriesJava;
            import org.openapis.openapi.models.components.UpdateUserRequest;
            import org.openapis.openapi.models.errors.ErrorResponse;
            import org.openapis.openapi.models.operations.UpdateMeResponse;

            public class Application {

                public static void main(String[] args) throws ErrorResponse, Exception {

                    AriesJava sdk = AriesJava.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    UpdateUserRequest req = UpdateUserRequest.builder()
                            .build();

                    UpdateMeResponse res = sdk.users().updateMe()
                            .request(req)
                            .call();

                    if (res.updateUserResponse().isPresent()) {
                        // handle response
                    }
                }
            }
components:
  schemas:
    UpdateUserRequest:
      type: object
      properties:
        plaid_status:
          type: string
          enum:
            - PENDING
          description: Must be 'PENDING'
        account_application:
          $ref: '#/components/schemas/UpdateApplicationRequest'
    UpdateUserResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        email:
          type: string
        country:
          type: string
        plaid_status:
          type: string
        account_application:
          $ref: '#/components/schemas/ApplicationResponse'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        codes:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code
              description:
                type: string
                description: Error description
    UpdateApplicationRequest:
      type: object
      properties:
        submit:
          type: boolean
          description: Set to true to finalize and submit the application
    ApplicationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - CREATED
            - PENDING_ID_VERFICATION
            - PENDING_APPROVAL
            - APPROVED
            - REJECTED
        can_submit:
          type: boolean
        missing_fields:
          type: array
          items:
            type: string
        plaid_link_token:
          type: string
          nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````